import request from '@/utils/request'

// 查询检查项分类列表
export function listCheckCategory(query) {
  return request({
    url: '/system/checkCategory/list',
    method: 'get',
    params: query
  })
}

// 查询检查项分类详细
export function getCheckCategory(id) {
  return request({
    url: '/system/checkCategory/' + id,
    method: 'get'
  })
}

// 新增检查项分类
export function addCheckCategory(data) {
  return request({
    url: '/system/checkCategory',
    method: 'post',
    data: data
  })
}

// 修改检查项分类
export function updateCheckCategory(data) {
  return request({
    url: '/system/checkCategory',
    method: 'put',
    data: data
  })
}

// 删除检查项分类
export function delCheckCategory(id) {
  return request({
    url: '/system/checkCategory/' + id,
    method: 'delete'
  })
}
